DefaultCommandLine (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.cli.parsing
[Java] Class DefaultCommandLine

    java.lang.Object
      org.codehaus.groovy.grails.cli.parsing.DefaultCommandLine

All Implemented Interfaces:
  CommandLine

    public class DefaultCommandLine
    extends java.lang.Object

Implementation of the CommandLine interface.

Authors:
  Graeme Rocher

Since:
  2.0

Nested Class Summary
`static class` | `DefaultCommandLine.SpecifiedOption`

Method Summary
`void` | `addDeclaredOption(java.lang.String name, Option option)`
`void` | `addDeclaredOption(java.lang.String name, Option option, java.lang.Object value)`
`void` | `addRemainingArg(java.lang.String arg)`
`void` | `addSystemProperty(java.lang.String name, java.lang.String value)`
`void` | `addUndeclaredOption(java.lang.String option)`
`void` | `addUndeclaredOption(java.lang.String option, java.lang.Object value)`
`java.lang.String` | `getCommandName()`
`java.lang.String` | `getEnvironment()`
`java.util.List` | `getRemainingArgs()`
`java.lang.String[]` | `getRemainingArgsArray()`
`java.lang.String` | `getRemainingArgsLineSeparated()`
`java.lang.String` | `getRemainingArgsString()`
`java.util.Properties` | `getSystemProperties()`
`java.util.Map` | `getUndeclaredOptions()`
`boolean` | `hasOption(java.lang.String name)`
`boolean` | `isEnvironmentSet()`
`java.lang.String` | `lookupEnvironmentForCommand()`
`java.lang.Object` | `optionValue(java.lang.String name)`
`void` | `setCommand(java.lang.String name)`
`void` | `setCommandName(java.lang.String cmd)`
`void` | `setEnvironment(java.lang.String environment)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addDeclaredOption

    public void addDeclaredOption(java.lang.String name, Option option)

### addDeclaredOption

    public void addDeclaredOption(java.lang.String name, Option option, java.lang.Object value)

### addRemainingArg

    public void addRemainingArg(java.lang.String arg)

### addSystemProperty

    public void addSystemProperty(java.lang.String name, java.lang.String value)

### addUndeclaredOption

    public void addUndeclaredOption(java.lang.String option)

### addUndeclaredOption

    public void addUndeclaredOption(java.lang.String option, java.lang.Object value)

### getCommandName

    public java.lang.String getCommandName()

### getEnvironment

    public java.lang.String getEnvironment()

### getRemainingArgs

    public java.util.List getRemainingArgs()

### getRemainingArgsArray

    public java.lang.String[] getRemainingArgsArray()

### getRemainingArgsLineSeparated

    public java.lang.String getRemainingArgsLineSeparated()

### getRemainingArgsString

    public java.lang.String getRemainingArgsString()

### getSystemProperties

    public java.util.Properties getSystemProperties()

### getUndeclaredOptions

    public java.util.Map getUndeclaredOptions()

### hasOption

    public boolean hasOption(java.lang.String name)

### isEnvironmentSet

    public boolean isEnvironmentSet()

### lookupEnvironmentForCommand

    public java.lang.String lookupEnvironmentForCommand()

### optionValue

    public java.lang.Object optionValue(java.lang.String name)

### setCommand

    public void setCommand(java.lang.String name)

### setCommandName

    public void setCommandName(java.lang.String cmd)

### setEnvironment

    public void setEnvironment(java.lang.String environment)

Groovy Documentation